{% extends "front/base_unlogged.html" %}
{% load static %}
{% load i18n %}

{% block content %}

  <div class="row">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <h1>{% trans "Autenticação" %}</h1>

      {% if response %}
        <p class="text-warning text-large">{{ response }}</p>

      {% if profile_form and user_form %}
      <form class="form" method="post">{% csrf_token %}
        <table>
          {{ user_form.as_table }}
          {{ profile_form.as_table }}
        </table>

        <div class="row">
          <div class="col-xs-6">
          </div>
          <div class="col-xs-6 text-right">
            <button
                id="confirm_button"
                class="btn btn-primary"
                type="submit"
                value="register">
              {% trans "Concluir Registo" %}
            </button>
          </div>
        </div>
      </form>
      <p id="msg_place" class="text-warning text-large"></p>
      {% endif %}
      {% endif %}
    </div>
    <div class="col-md-3"></div>
  </div>

  <script type="text/javascript">
    // Button Submit
    $('[type="submit"]').click(function(e){
        e.preventDefault();
        $('#msg_place').html('');

        var flagok = true;
        var msg = '{% trans "Para continuar terá de preencher todos os campos." %}';

        try {
            // Validate form
            $('.form input, .form select').each(function(){
                if ($(this).prop('required') && $(this).val() == '') {
                    flagok = false;
                    return false;
                }
            });

            if (!flagok) {
                $('#msg_place').html(msg);
                return false;
            }

            // Send form data via client-side
            $.ajax({
                type: 'POST',
                url: '{% url 'front:login_egi_complete' %}',
                data: $('.form').serialize(),
                success: function(data) {
                    if (data['msg']) $('#msg_place').html(data['msg']);
                },
                error: function(e, x, r) {
                    console.log(r + ' - ' + e);
                    $('#msg_place').html('{% trans "Ocorreu um erro! Por favor tente mais tarde." %}');
                }
            });

            $('.form :input').prop('disabled', true);

        } catch(err) {
            e.preventDefault();
            console.log(err);
            $('#msg_place').html('{% trans "Ocorreu um erro! Por favor tente mais tarde." %}');
        }
    });
  </script>

{% endblock content %}
